"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IDL = exports.PROD_RNDR_PRICE_ORACLE = exports.DEVNET_RNDR_PRICE_ORACLE = exports.PROGRAM_ID = void 0;
const web3_js_1 = require("@solana/web3.js");
exports.PROGRAM_ID = new web3_js_1.PublicKey("credmYmd1fKyaTCDwUB91MCn6YgCNh3tRfzd7UKjsYn");
exports.DEVNET_RNDR_PRICE_ORACLE = new web3_js_1.PublicKey("C2QvUPBiU3fViSyqA4nZgGyYqLgYf9PRpd8B8oLoo48w");
exports.PROD_RNDR_PRICE_ORACLE = new web3_js_1.PublicKey("CYGfrBJB9HgLf9iZyN4aH5HvUAi2htQ4MjPxeXMf4Egn");
exports.IDL = {
    "version": "0.1.2",
    "name": "render_credits",
    "instructions": [
        {
            "name": "initializeRenderCreditsV0",
            "accounts": [
                {
                    "name": "renderCredits",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrPriceOracle",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rcMint",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "mintAuthority",
                    "isMut": false,
                    "isSigner": true
                },
                {
                    "name": "freezeAuthority",
                    "isMut": false,
                    "isSigner": true
                },
                {
                    "name": "authority",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "burnRewardsEscrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "burnRewardsRedeemer",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeRenderCreditsArgsV0"
                    }
                }
            ]
        },
        {
            "name": "mintRenderCreditsV0",
            "accounts": [
                {
                    "name": "renderCredits",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "burnRewardsVoucher",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "emissionSchedule",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "emissionDistributorProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "burnStats",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrPriceOracle",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "burner",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "recipientTokenAccount",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "recipient",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "owner",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rcMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "associatedTokenProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "MintRenderCreditsArgsV0"
                    }
                }
            ]
        },
        {
            "name": "burnRenderCreditsV0",
            "accounts": [
                {
                    "name": "renderCredits",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "burner",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "owner",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "rcMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "associatedTokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "BurnRenderCreditsArgsV0"
                    }
                }
            ]
        },
        {
            "name": "updateRenderCreditsV0",
            "accounts": [
                {
                    "name": "renderCredits",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "rcMint",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "authority",
                    "isMut": false,
                    "isSigner": true
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "UpdateRenderCreditsArgsV0"
                    }
                }
            ]
        },
        {
            "name": "distributeBurnRewardsV0",
            "accounts": [
                {
                    "name": "emissionSchedule",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "emissionScheduleReceipt",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "emissionDistributorProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "burnStats",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "to",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "burnRewardsEscrow",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "burnRewardsRedeemer",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "rndrMint",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreaker",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "circuitBreakerProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "tokenProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "owner",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "burnRewardsVoucher",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": []
        }
    ],
    "accounts": [
        {
            "name": "RenderCreditsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "rcMint",
                        "type": "publicKey"
                    },
                    {
                        "name": "rndrMint",
                        "type": "publicKey"
                    },
                    {
                        "name": "authority",
                        "type": "publicKey"
                    },
                    {
                        "name": "rndrPriceOracle",
                        "type": "publicKey"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        },
        {
            "name": "BurnRewardsRedeemerV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "rndrMint",
                        "type": "publicKey"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    },
                    {
                        "name": "space",
                        "type": {
                            "array": [
                                "u8",
                                128
                            ]
                        }
                    }
                ]
            }
        },
        {
            "name": "BurnStatsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "epochId",
                        "type": "u64"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    },
                    {
                        "name": "totalRndrBurned",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "BurnRewardsVoucherV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    },
                    {
                        "name": "epochId",
                        "type": "u64"
                    },
                    {
                        "name": "rndrBurned",
                        "type": "u64"
                    },
                    {
                        "name": "claimed",
                        "type": "bool"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        }
    ],
    "types": [
        {
            "name": "WindowedCircuitBreakerConfigV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "windowSizeSeconds",
                        "type": "u64"
                    },
                    {
                        "name": "thresholdType",
                        "type": {
                            "defined": "ThresholdType"
                        }
                    },
                    {
                        "name": "threshold",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "BurnRenderCreditsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "amount",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "DistributeBurnRewardsArgsV0",
            "type": {
                "kind": "struct",
                "fields": []
            }
        },
        {
            "name": "InitializeRenderCreditsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": "publicKey"
                    },
                    {
                        "name": "mintConfig",
                        "type": {
                            "defined": "WindowedCircuitBreakerConfigV0"
                        }
                    },
                    {
                        "name": "escrowConfig",
                        "type": {
                            "defined": "WindowedCircuitBreakerConfigV0"
                        }
                    }
                ]
            }
        },
        {
            "name": "MintRenderCreditsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "rndrAmount",
                        "type": {
                            "option": "u64"
                        }
                    },
                    {
                        "name": "rcAmount",
                        "type": {
                            "option": "u64"
                        }
                    }
                ]
            }
        },
        {
            "name": "UpdateRenderCreditsArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "authority",
                        "type": {
                            "option": "publicKey"
                        }
                    },
                    {
                        "name": "rndrPriceOracle",
                        "type": {
                            "option": "publicKey"
                        }
                    }
                ]
            }
        },
        {
            "name": "ThresholdType",
            "type": {
                "kind": "enum",
                "variants": [
                    {
                        "name": "Percent"
                    },
                    {
                        "name": "Absolute"
                    }
                ]
            }
        },
        {
            "name": "BurnRewardsErrors",
            "type": {
                "kind": "enum",
                "variants": [
                    {
                        "name": "MissingBurnRewards"
                    },
                    {
                        "name": "MissingEmissionSchedule"
                    },
                    {
                        "name": "CalculatingRewards"
                    },
                    {
                        "name": "BurnRewardsClaimed"
                    }
                ]
            }
        }
    ],
    "errors": [
        {
            "code": 6000,
            "name": "BumpNotAvailable",
            "msg": "Bump couldn't be found"
        },
        {
            "code": 6001,
            "name": "PythError",
            "msg": "Error loading Pyth data"
        },
        {
            "code": 6002,
            "name": "PythPriceNotFound",
            "msg": "Pyth price is not available"
        },
        {
            "code": 6003,
            "name": "PythPriceFeedStale",
            "msg": "Pyth price is stale"
        },
        {
            "code": 6004,
            "name": "ArithmeticError",
            "msg": "Arithmetic error"
        },
        {
            "code": 6005,
            "name": "InvalidArgs",
            "msg": "Invalid arguments"
        },
        {
            "code": 6006,
            "name": "NoGenesis",
            "msg": "Genesis endpoints are currently disabled"
        }
    ],
    "metadata": {
        "address": "credmYmd1fKyaTCDwUB91MCn6YgCNh3tRfzd7UKjsYn"
    }
};
//# sourceMappingURL=constants.js.map