"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.networkNodeOperatorsEscrow = exports.burnStatsKey = exports.burnRewardsVoucherKey = exports.burnRewardsRedeemerKey = exports.renderCreditsKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
const anchor = __importStar(require("@coral-xyz/anchor"));
function renderCreditsKey(rndrMint, rcMint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("render_credits", "utf-8"),
        rndrMint.toBuffer(),
        rcMint.toBuffer()
    ], programId);
}
exports.renderCreditsKey = renderCreditsKey;
function burnRewardsRedeemerKey(rndrMint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_rewards_redeemer"),
        rndrMint.toBuffer(),
    ], programId);
}
exports.burnRewardsRedeemerKey = burnRewardsRedeemerKey;
function burnRewardsVoucherKey(owner, epochId, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_rewards_voucher"),
        owner.toBuffer(),
        new anchor.BN(epochId).toBuffer("le", 8),
    ], programId);
}
exports.burnRewardsVoucherKey = burnRewardsVoucherKey;
function burnStatsKey(rndrMint, epochId, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_stats"),
        rndrMint.toBuffer(),
        new anchor.BN(epochId).toBuffer("le", 8)
    ], programId);
}
exports.burnStatsKey = burnStatsKey;
function networkNodeOperatorsEscrow(rndrMint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("network_node_operators", "utf-8"),
        rndrMint.toBuffer()
    ], programId);
}
exports.networkNodeOperatorsEscrow = networkNodeOperatorsEscrow;
//# sourceMappingURL=pdas.js.map