import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID, IDL } from "./constants";
import { renderCreditsResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export * from "./instructions";
export async function init(provider, programId = PROGRAM_ID, idl) {
    const resIdl = await (async () => {
        if (typeof idl === "boolean") {
            return IDL;
        }
        if (!idl) {
            return await Program.fetchIdl(programId, provider);
        }
        return idl;
    })();
    const renderCredits = new Program(resIdl, programId, provider, undefined, () => renderCreditsResolvers);
    return renderCredits;
}
//# sourceMappingURL=index.js.map