import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
import * as anchor from "@coral-xyz/anchor";
export function renderCreditsKey(rndrMint, rcMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("render_credits", "utf-8"),
        rndrMint.toBuffer(),
        rcMint.toBuffer()
    ], programId);
}
export function burnRewardsRedeemerKey(rndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_rewards_redeemer"),
        rndrMint.toBuffer(),
    ], programId);
}
export function burnRewardsVoucherKey(owner, epochId, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_rewards_voucher"),
        owner.toBuffer(),
        new anchor.BN(epochId).toBuffer("le", 8),
    ], programId);
}
export function burnStatsKey(rndrMint, epochId, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("burn_stats"),
        rndrMint.toBuffer(),
        new anchor.BN(epochId).toBuffer("le", 8)
    ], programId);
}
export function networkNodeOperatorsEscrow(rndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("network_node_operators", "utf-8"),
        rndrMint.toBuffer()
    ], programId);
}
//# sourceMappingURL=pdas.js.map