import { RenderCredits } from "@render-foundation/idls/lib/types/render_credits";
import { Program } from "@coral-xyz/anchor";
import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Mint } from "@solana/spl-token";
import { WindowCircuitBreakerConfig } from "@render-foundation/circuit-breaker-sdk";
export declare const updateRenderCreditsIx: (program: Program<RenderCredits>, args: {
    rndrMint: PublicKey;
    rcMint: PublicKey;
    authority?: PublicKey;
    rndrPriceOracle?: PublicKey;
}) => Promise<TransactionInstruction>;
export declare const distributeBurnRewardsIx: (program: Program<RenderCredits>, rndrMint: PublicKey, burner: PublicKey, epochId: number, emissionDistributorProgram?: PublicKey) => Promise<TransactionInstruction>;
export declare const mintRenderCreditsIx: (program: Program<RenderCredits>, args: {
    rndrMint: Mint;
    rcMint: PublicKey;
    burner: PublicKey;
    rndrAmount: number;
    receiver?: PublicKey;
}, emissionDistributorProgram?: PublicKey) => Promise<TransactionInstruction>;
export declare const initializeRenderCreditsIx: (program: Program<RenderCredits>, rndrMint: Mint, rcMint: PublicKey, args: {
    authority: PublicKey;
    mintBreakerConfig: WindowCircuitBreakerConfig;
    escrowBreakerConfig: WindowCircuitBreakerConfig;
    currentEpochBeganAt: number;
}, accts: {
    mintAuthority: PublicKey;
    freezeAuthority?: PublicKey;
}, emissionDistributorProgram?: PublicKey, circuitBreakerProgram?: PublicKey) => Promise<TransactionInstruction>;
//# sourceMappingURL=instructions.d.ts.map